uniform sampler2D Texture;

varying vec3 vNormal;
uniform float TextureScale;

void main(void)
{
   float Intensity = normalize( vNormal ).z * 0.3 + 0.7;
   
   gl_FragColor = Intensity * texture2D( Texture, vec2( gl_TexCoord[0].s * TextureScale, gl_TexCoord[0].t * TextureScale) ) ;
}